:root {
  --mapwall-bg-soft: rgba(51, 51, 51, 0.5);
  --mapwall-bg: rgba(51, 51, 51, 0.78);
  --active-bg: rgba(134, 134, 134, 0.6);
}

body {
  margin-left: 0;
  margin-top: 0;
  font-family: 'Roboto', sans-serif;
}
.ol-attribution {font-size:11px}
.pophover {
  background-color: rgba(255,255,255, 0.8);
  border: solid 1px #ddd;
  padding: 5px;
  overflow: auto;
  font-family: 'Roboto', sans-serif;
}

.separator{
  border-right:solid 1px #88898b; 
  margin-left: 4px;
  margin-right: 7px;
  display: inline-block;
}

.separator:before{
  content: "\00a0";
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.mw_disabledrag {user-select:text;}

#mw_spinner {
  background-color: rgba(255, 255, 255, 0.8);
  position:absolute;
  top:0;
  left:0;
  z-index: 9999;
  width:100%;
  height:100%;
  display:flex;
  flex-direction: column;
  align-items:center;
  justify-content: center;
}

.mw_loader {
  border: 16px solid rgba(68, 64, 64, 0.5);
  border-top: 16px solid #3498db;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}



.lds-dual-ring {
  position:absolute;
  top:50%;
  left:50%;
  transform: translate(-32px);
  width: 64px;
  height: 64px;
}

.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 60px;
  height: 60px;
  margin: 1px;
  border-radius: 50%;
  border: 6px solid #393a3b;
  border-color: #393a3b transparent #393a3b transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {transform: rotate(0deg); }
  100% {transform: rotate(360deg); }
}



.tabs {
  display: flex;
  flex-wrap: wrap;
}
 
.tabs label {
  order: 1;
  display: block;
  padding: 10px 15px;
  cursor: pointer;
  background:  #e7e7e7;
  font-weight: bold;
  transition: background ease 0.25s;
  color: #aaaaaa;
  border-bottom: solid 1px #919191;
  margin-top: 6px;
}
 
.tabs .tab {
  order: 99;
  flex-grow: 1;
  width: 100%;
  display: none;
  padding: 1rem;
  background: #fff;
}
 
.tabs input[type="radio"] {
  display: none;
}

.tabs input[type="radio"]:checked + label {
    background: #fff;
    border-top: solid 4px;
    border-bottom: none;
    color: #2c59a3;
    margin-top: 0;
  }
 
.tabs input[type="radio"]:checked + label + .tab {
  display: block;
}
 
@media (max-width: 45em) {
  .tabs .tab,
  .tabs label {
    order: initial;
  }
 
  .tabs label {
    width: 100%;
    margin-right: 0;
    margin-top: 0.2rem;
  }
}



.table1 table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 90%;
    font-family: 'Roboto', sans-serif;
    margin: 10px;
}
.table1  th {
    border-bottom: solid 3px #a1d8f2;
    color: whitesmoke;
    padding: 10px;
    text-align: left;
}
.table1 td {
    border-bottom: solid 1px #DDDDDD;
    color: whitesmoke;
    padding: 10px;
    
}


.popTitle {border-bottom: 1px solid whitesmoke}

.popup100 {
  background-color: var(--mapwall-bg);
  border: solid 1px #ddd;
  padding: 5px;  
  height:410px;
  width:260px;
  overflow: hidden;
  color: whitesmoke;
  position:absolute;
  font-family: 'Roboto', sans-serif;
}

#masterPop {display:none;}
#appmenu {
  display:none;
  width: 400px;
  min-height: 200px;
  z-index: 999;
  background-color: var(--mapwall-bg);
  color:whitesmoke;
  padding: 20px;
}

.simTrafficImage {
  height:380px;
  width:270px;
  background-repeat: no-repeat;
  background-size: contain;
  color:white;
  font-weight:bold;
}

#appmenu input, #appmenu select {
  color:darkgrey;
}

#appmenu button {
  margin-top:10px;
}

#ctlmenu {
  display:flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

#ctlmenu .mw-circle {
  cursor:pointer !important;
}

#appmenu,  #ctlmenu, .popup100{
  position:absolute;
  z-index: 999;
  touch-action: none;
  user-select: none;
  -webkit-transform: translate(0px, 0px);
          transform: translate(0px, 0px);
}

#linkmenu.list-group {
  width:100%;
  display:none;
  background-color:  var(--mapwall-bg);
}

#linkmenu a.list-group-item {
  background-color: var(--mapwall-bg);
  color:whitesmoke;
  border-color: whitesmoke;
  border-radius:0px;
}

#linkmenu a.list-group-item:hover{
  border-color:whitesmoke !important; 
  background-color: var(--active-bg);
}

.mw-circle {
  background-color: var(--mapwall-bg);
  border-radius:50%;
  color: whitesmoke;
  height: 50px;
  width: 50px;
  font-weight: bold;
  font-size: 1.2em;
  display:flex;
  align-items: center;
  justify-content: center;
  margin:5px;
}

.nav {
  background-color:var(--active-bg);
  border-radius: 0 0 3px 3px; 
  width:100%; 
  padding:2px; 
  position:absolute; 
  bottom:0; 
  left:0;
}

.nav li a {color:whitesmoke}
.nav li a:hover {color:#888}


@keyframes slide-down {
  from { top: -70px; }
  to { top: 0; }
}

@keyframes slide-up {
  from { top: 0; }
  to { top: -70px; }
}

#mw_warningBox {
  top:-70px;
  display:flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position:absolute;
  top:0;
  left:0;
  right:0;
  margin-left:auto;
  margin-right:auto;
  padding:5px;
  width:400px;
  height:70px;
  color:whitesmoke;
  border-style: solid;
  border-color:whitesmoke;
  border-width:0 1px 1px 1px;
  border-radius:0 0 8px 8px;
  background-color:rgba(233, 117, 40, 0.88);  
  z-index: 1000;
  animation-duration: 0.6s;
  animation-timing-function: linear;
}

#mw_wbText {flex-grow:6;font-size:13px;font-weight: bold;}
#mw_wbButtons {        
  justify-content: space-between;
  align-items: center;
}

#mw_wbOkButton .mw_quest, #mw_wbButtons .mw_quest {
  cursor:pointer;
}
#mw_wbOkButton.mw_quest:hover, #mw_wbButtons .mw_quest:hover {
  background-color:rgba(65, 62, 60, 0.733);
}

.mw_quest {
  margin-right:20px;
  border:1px solid whitesmoke;
  border-radius:49%;
  padding-top:18px;
  width:60px;
  height:60px;
  text-align: center;
}

.mapcontainer {
  height:100%;
  display:flex;
}
